#
# spec file for package vlock
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2014 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vlock
BuildRequires:  pam-devel
Version:        2.2.3
Release:        16.4
Url:            http://cthulhu.c3d2.de/~toidinamai/vlock/vlock.html
Summary:        It allows you to lock your console display
License:        GPL-2.0+
Group:          System/Console
Source:         %{name}-%{version}.tar.gz
Source1:        %{name}.pamd
Patch0:         vlock-2.2.2-security.diff
# PATCH-FEATURE-OPENSUSE vlock-2.2.3-use-unix2_chkpwd.diff
Patch1:         vlock-2.2.3-use-unix2_chkpwd.diff
# for unix2_chkpwd
Requires:       pam-modules
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is vlock, the Linux Virtual Console locking program. It allows you
to lock one or all of the sessions of your Linux console display.



Authors:
--------
    Frank Benkstein <frank-vlock@benkstein.net>

%prep
%setup -q
%patch0
%patch1 -p1

%build
# not a real configure script, can't use macro :-/
./configure --prefix=%{_prefix} --libdir=%{_libdir} \
	--enable-unix2_chkpwd
make %{?_smp_mflags} CFLAGS="%{optflags} -W -pedantic -std=gnu99"

%install
install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/vlock
install -D -m 0755 vlock %{buildroot}%{_bindir}/vlock
install -D -m 2755 vlock-main %{buildroot}%{_sbindir}/vlock-main
install -D -m 0644 man/vlock.1 %{buildroot}%{_mandir}/man1/vlock.1
install -D -m 0644 man/vlock-plugins.5 %{buildroot}%{_mandir}/man5/vlock-plugins.5
install -D -m 0644 man/vlock-main.8 %{buildroot}%{_mandir}/man8/vlock-main.8
install -D -m 0755 modules/all.so %{buildroot}%{_libdir}/vlock/modules/all.so
install -D -m 0755 modules/new.so %{buildroot}%{_libdir}/vlock/modules/new.so
install -D -m 0755 modules/nosysrq.so %{buildroot}%{_libdir}/vlock/modules/nosysrq.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog PLUGINS README README.X11 SECURITY TODO
%doc %{_mandir}/man?/*
%{_bindir}/vlock
%attr(0755,-,-) %{_sbindir}/vlock-main
%config %{_sysconfdir}/pam.d/vlock
%dir %{_libdir}/vlock
%dir %{_libdir}/vlock/modules
%{_libdir}/vlock/modules/*

%changelog
* Mon Feb 17 2014 seife+obs@b1-systems.com
- add patch to use unix2_chkpwd to authenticate to avoid the need
  to set vlock-main sgid shadow
  * vlock-2.2.3-use-unix2_chkpwd.diff
- no longer require permissions, no special permissions are needed
* Tue Oct 11 2011 tabraham@novell.com
- update to 2.2.3
  * fix vlock not reacting to input when started in the
    background from bash
* Mon Nov 22 2010 lnussel@suse.de
- fix permissions handling to fix build
- use RPM_OPT_FLAGS
* Thu Sep  9 2010 prusnak@opensuse.org
- fix functionality by adding pam configuration
* Thu Jul 30 2009 tittiatcoke@gmail.com
- update to 2.2.2
  * Complete rewrite. vlock is now made of several tools called
    from a shell script
  * Fix and improve build system:
  * Display number of authentication tries on exit.
  * Shadow authentication added
  * Added manpages for all tools.
  * Enter key must be pressed before authentication is started.
  * When run as root, vlock now locks as the user given by the
    $USER environment variable.
  * Add -n,--new option to run vlock on a new virtual console.
  * Added timeout support to password prompts
  * Locking message now configurable.
  * Added configuration file support: ~/.vlockrc.
  * "vlock --new" now works even if stdin is not a terminal.
  * Improved documentation.
  * Support for plugins (modules and scripts) was added.
  * vlock-all, vlock-new, and vlock-nosysrq were converted to modules.
* Mon Jun 15 2009 kukuk@suse.de
- Fix link order
* Mon May  4 2009 prusnak@suse.cz
- fixed missing expression in return statement (return.patch)
* Tue May  6 2008 crrodriguez@suse.de
- fix for FATE#300498 , use RPM_OPT_FLAGS everywhere (optflags.patch)
* Tue Jul 24 2007 prusnak@suse.cz
- update to 1.4
  * fixes for some compile time warnings
  * support for sysrq disabling
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 schwab@suse.de
- Don't strip binaries.
* Mon Nov 15 2004 kukuk@suse.de
- Use common-* PAM config files
* Tue Feb 24 2004 mjancar@suse.cz
- ignore SIGTERM (#34129)
* Thu Jan 15 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Thu Oct 30 2003 mjancar@suse.cz
- fix permissions
- no root for build
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Fri Aug 24 2001 ro@suse.de
- removed /lib/security path from pam.d config file
* Thu Oct 19 2000 cihlar@suse.cz
- package created
